<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: otChildInfo Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d3/d06/structotChildInfo.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="../../df/d9f/structotChildInfo-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">otChildInfo Struct Reference<div class="ingroups"><a class="el" href="../../d0/d2d/group__api.html">API</a> &raquo; <a class="el" href="../../d8/dd2/group__diags.html">Diagnostics</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This structure holds diagnostic information for a Thread Child.  
 <a href="../../d3/d06/structotChildInfo.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">include/openthread-types.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for otChildInfo:</div>
<div class="dyncontent">
<div class="center"><img src="../../d0/d55/structotChildInfo__coll__graph.png" border="0" usemap="#otChildInfo_coll__map" alt="Collaboration graph"/></div>
<map name="otChildInfo_coll__map" id="otChildInfo_coll__map">
<area shape="rect" id="node2" href="../../d3/d8f/structotExtAddress.html" title="This type represents the IEEE 802.15.4 Extended Address. " alt="" coords="5,5,106,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:afdf7c45d4b4fa14c402e93ec6600ebeb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afdf7c45d4b4fa14c402e93ec6600ebeb"></a>
<a class="el" href="../../d3/d8f/structotExtAddress.html">otExtAddress</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d06/structotChildInfo.html#afdf7c45d4b4fa14c402e93ec6600ebeb">mExtAddress</a></td></tr>
<tr class="memdesc:afdf7c45d4b4fa14c402e93ec6600ebeb"><td class="mdescLeft">&#160;</td><td class="mdescRight">IEEE 802.15.4 Extended Address. <br /></td></tr>
<tr class="separator:afdf7c45d4b4fa14c402e93ec6600ebeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a2085deaa1453da39d8bd946f4ace1c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1a2085deaa1453da39d8bd946f4ace1c"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d06/structotChildInfo.html#a1a2085deaa1453da39d8bd946f4ace1c">mTimeout</a></td></tr>
<tr class="memdesc:a1a2085deaa1453da39d8bd946f4ace1c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timeout. <br /></td></tr>
<tr class="separator:a1a2085deaa1453da39d8bd946f4ace1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57326b3085bc8b31f4d6190c46fb802b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a57326b3085bc8b31f4d6190c46fb802b"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d06/structotChildInfo.html#a57326b3085bc8b31f4d6190c46fb802b">mAge</a></td></tr>
<tr class="memdesc:a57326b3085bc8b31f4d6190c46fb802b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time last heard. <br /></td></tr>
<tr class="separator:a57326b3085bc8b31f4d6190c46fb802b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09d7462d5aaf936a5a3d85812ee6b7bf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a09d7462d5aaf936a5a3d85812ee6b7bf"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d06/structotChildInfo.html#a09d7462d5aaf936a5a3d85812ee6b7bf">mRloc16</a></td></tr>
<tr class="memdesc:a09d7462d5aaf936a5a3d85812ee6b7bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">RLOC16. <br /></td></tr>
<tr class="separator:a09d7462d5aaf936a5a3d85812ee6b7bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadda1d2aa5e6dfb24fd28a243e5e9acd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aadda1d2aa5e6dfb24fd28a243e5e9acd"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d06/structotChildInfo.html#aadda1d2aa5e6dfb24fd28a243e5e9acd">mChildId</a></td></tr>
<tr class="memdesc:aadda1d2aa5e6dfb24fd28a243e5e9acd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Child ID. <br /></td></tr>
<tr class="separator:aadda1d2aa5e6dfb24fd28a243e5e9acd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a8db48cff54f4d94f1f8682ef72f352"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9a8db48cff54f4d94f1f8682ef72f352"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d06/structotChildInfo.html#a9a8db48cff54f4d94f1f8682ef72f352">mNetworkDataVersion</a></td></tr>
<tr class="memdesc:a9a8db48cff54f4d94f1f8682ef72f352"><td class="mdescLeft">&#160;</td><td class="mdescRight">Network Data Version. <br /></td></tr>
<tr class="separator:a9a8db48cff54f4d94f1f8682ef72f352"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69db7a813f29f65d187cf0f1525255c3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a69db7a813f29f65d187cf0f1525255c3"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d06/structotChildInfo.html#a69db7a813f29f65d187cf0f1525255c3">mLinkQualityIn</a></td></tr>
<tr class="memdesc:a69db7a813f29f65d187cf0f1525255c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Link Quality In. <br /></td></tr>
<tr class="separator:a69db7a813f29f65d187cf0f1525255c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae25353bb36836cecf7ad2f0125ffe110"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae25353bb36836cecf7ad2f0125ffe110"></a>
int8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d06/structotChildInfo.html#ae25353bb36836cecf7ad2f0125ffe110">mAverageRssi</a></td></tr>
<tr class="memdesc:ae25353bb36836cecf7ad2f0125ffe110"><td class="mdescLeft">&#160;</td><td class="mdescRight">Average RSSI. <br /></td></tr>
<tr class="separator:ae25353bb36836cecf7ad2f0125ffe110"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaaa5738a8ff02660d3de6614b97c1f1e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaaa5738a8ff02660d3de6614b97c1f1e"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d06/structotChildInfo.html#aaaa5738a8ff02660d3de6614b97c1f1e">mRxOnWhenIdle</a>: 1</td></tr>
<tr class="memdesc:aaaa5738a8ff02660d3de6614b97c1f1e"><td class="mdescLeft">&#160;</td><td class="mdescRight">rx-on-when-idle <br /></td></tr>
<tr class="separator:aaaa5738a8ff02660d3de6614b97c1f1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e0a18d8664c90c178b9528ed3f7eb9e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2e0a18d8664c90c178b9528ed3f7eb9e"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d06/structotChildInfo.html#a2e0a18d8664c90c178b9528ed3f7eb9e">mSecureDataRequest</a>: 1</td></tr>
<tr class="memdesc:a2e0a18d8664c90c178b9528ed3f7eb9e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Secure Data Requests. <br /></td></tr>
<tr class="separator:a2e0a18d8664c90c178b9528ed3f7eb9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a569d0cf97b20e6ec8b17d806eca108e1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a569d0cf97b20e6ec8b17d806eca108e1"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d06/structotChildInfo.html#a569d0cf97b20e6ec8b17d806eca108e1">mFullFunction</a>: 1</td></tr>
<tr class="memdesc:a569d0cf97b20e6ec8b17d806eca108e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Full Function Device. <br /></td></tr>
<tr class="separator:a569d0cf97b20e6ec8b17d806eca108e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9a16ae35c8e709a8d4fb6c0d1343e75"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab9a16ae35c8e709a8d4fb6c0d1343e75"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d06/structotChildInfo.html#ab9a16ae35c8e709a8d4fb6c0d1343e75">mFullNetworkData</a>: 1</td></tr>
<tr class="memdesc:ab9a16ae35c8e709a8d4fb6c0d1343e75"><td class="mdescLeft">&#160;</td><td class="mdescRight">Full Network Data. <br /></td></tr>
<tr class="separator:ab9a16ae35c8e709a8d4fb6c0d1343e75"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This structure holds diagnostic information for a Thread Child. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>include/<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">openthread-types.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/d06/structotChildInfo.html">otChildInfo</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
